package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;


/**
 * 公出详情表(PublicReleaseDetails)实体类
 *
 * @author makejava
 * @since 2025-04-17 11:35:19
 */
public class PublicReleaseDetails implements Serializable {
    private static final long serialVersionUID = 709091961650101768L;

    private Integer id;
    /**
     * 公出编号
     */
    private Integer prid;
    /**
     * 客户id
     */
    private String uid;
    /**
     * 跟进id
     */
    private String ufid;
    /**
     * 客户类型 0新客户 1老客户
     */
    private Integer newUser;
    /**
     * 签单数
     */
    private Integer signSum;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 打卡状态 1正常打卡 2异常打卡
     */
    private Integer clockIn;
    /**
     * 打卡时间
     */
    private Date clockInTime;
    /**
     * 照片
     */
    private String photoUrl;
    /**
     * 公出企业地址
     */
    private String districtName;
    /**
     * 打卡说明
     */
    private String clockInRemarks;
    /**
     * 时长
     */
    private Double duration;
    /**
     * 0辅助 1主要(根据客户是否是公出人判断)
     */
    private Integer mainStatus;
    /**
     * 修改时间
     */
    private Date updateTime;
    /**
     * 公出企业地址
     */
    private String addressName;
    /**
     * 有效面谈 0=否，1=是
     */
    private Integer interviewStatus;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getPrid() {
        return prid;
    }

    public void setPrid(Integer prid) {
        this.prid = prid;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getUfid() {
        return ufid;
    }

    public void setUfid(String ufid) {
        this.ufid = ufid;
    }

    public Integer getNewUser() {
        return newUser;
    }

    public void setNewUser(Integer newUser) {
        this.newUser = newUser;
    }

    public Integer getSignSum() {
        return signSum;
    }

    public void setSignSum(Integer signSum) {
        this.signSum = signSum;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public Integer getClockIn() {
        return clockIn;
    }

    public void setClockIn(Integer clockIn) {
        this.clockIn = clockIn;
    }

    public Date getClockInTime() {
        return clockInTime;
    }

    public void setClockInTime(Date clockInTime) {
        this.clockInTime = clockInTime;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getClockInRemarks() {
        return clockInRemarks;
    }

    public void setClockInRemarks(String clockInRemarks) {
        this.clockInRemarks = clockInRemarks;
    }

    public Double getDuration() {
        return duration;
    }

    public void setDuration(Double duration) {
        this.duration = duration;
    }

    public Integer getMainStatus() {
        return mainStatus;
    }

    public void setMainStatus(Integer mainStatus) {
        this.mainStatus = mainStatus;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getAddressName() {
        return addressName;
    }

    public void setAddressName(String addressName) {
        this.addressName = addressName;
    }

    public Integer getInterviewStatus() {
        return interviewStatus;
    }

    public void setInterviewStatus(Integer interviewStatus) {
        this.interviewStatus = interviewStatus;
    }

}

